| Package | Description |
|---|---|
| io.helidon.common.http |
HTTP APIs and implementations usable by both server and client side of the HTTP story.
|
| io.helidon.webserver |
Reactive web server API.
|
| Modifier and Type | Interface and Description |
|---|---|
interface |
Headers
Extends
Parameters interface by adding methods convenient for HTTP headers. |
| Modifier and Type | Class and Description |
|---|---|
class |
ReadOnlyParameters
An immutable implementation of
Parameters. |
| Modifier and Type | Method and Description |
|---|---|
Parameters |
HttpRequest.queryParams()
Returns query parameters.
|
static Parameters |
Parameters.toUnmodifiableParameters(Parameters parameters)
Returns an unmodifiable view.
|
| Modifier and Type | Method and Description |
|---|---|
void |
Parameters.addAll(Parameters parameters)
Copies all of the mappings from the specified
parameters to this instance adding values to existing associations
(optional operation). |
void |
ReadOnlyParameters.addAll(Parameters parameters) |
void |
Parameters.putAll(Parameters parameters)
Copies all of the mappings from the specified
parameters to this instance replacing values of existing associations
(optional operation). |
void |
ReadOnlyParameters.putAll(Parameters parameters) |
static Parameters |
Parameters.toUnmodifiableParameters(Parameters parameters)
Returns an unmodifiable view.
|
| Constructor and Description |
|---|
ReadOnlyParameters(Parameters parameters)
Creates an instance from provided multi-map.
|
| Modifier and Type | Interface and Description |
|---|---|
interface |
RequestHeaders
Extends
Parameters interface by adding HTTP request headers oriented convenient methods. |
interface |
ResponseHeaders
Extends
Parameters interface by adding HTTP response headers oriented constants and convenient methods. |
| Modifier and Type | Method and Description |
|---|---|
Parameters |
RequestHeaders.cookies()
Returns cookies (parsed from '
Cookie:' header) based on RFC6265. |
Copyright © 2018, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.